import { FormState, UseFormSetValue, FieldValues, UseFormRegister } from 'react-hook-form';
declare type IUseFormContextReturn<P = any> = {
    formState: FormState<P>;
    values: any;
    setFieldValue: UseFormSetValue<FieldValues>;
    register: UseFormRegister<FieldValues>;
};
declare const useForm: () => IUseFormContextReturn;
export default useForm;
